# Shutdown

## gbdsShutdown

> This method safe shutdown for API and GBDS

```json
{"openapi":"3.0.1","info":{"title":"GBDS API","version":"5.1.16"},"servers":[{"url":"http://<ip>:8085/gbds/v2"}],"paths":{"/shutdown":{"post":{"description":"This method safe shutdown for API and GBDS","tags":["shutdown"],"operationId":"gbdsShutdown","summary":"gbdsShutdown","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShutdownRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}},"500":{"description":"Internal error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalError"}}}}},"parameters":[]}}},"components":{"schemas":{"ShutdownRequest":{"type":"object","properties":{"data":{"type":"object","properties":{"shouldShutdownAPI":{"type":"boolean"},"shouldShutdownDriver":{"type":"boolean"}}}}},"InternalError":{"type":"object","properties":{"type":{"description":"Type of the Error","type":"string","enum":["INTERNAL_ERROR"]},"code":{"description":"Internal error code.","type":"string","enum":["DRIVER_OFFLINE","CREDENTIAL_SERVER_CONNECTION_ERROR","CLIENT_NOT_INITIALIZE","TRUSTED_ENROLL_WITH_PENDING_STATUS","SUBJECT_NOT_SET","UNKNOWN"]},"message":{"description":"Message detailing the nature of the Error","type":"string"},"meta":{"description":"Contains extra information about the API call.","type":"object"}}}}}}
```
